Ssdun = new SSDUNSDK("c66f660a1a86e69f4a0c7d0e9db4612a8781558e8b0c5861a539b61dcb77cc6e", 7, 0, "");
Ssdun.debug = true;
Ssdun.SsdunConfig.verifyHeartbeatFirst = false;//是否开启 有上次心跳先退出在 验证

//脚本停止监听
setStopCallback(function () {
    let status_code;

    if (readConfigString("ssdun_card_heartbeat_token")) {
        status_code = Ssdun.卡密退出心跳验证(readConfigString("ssdun_card_heartbeat_token"))
        deleteConfig("ssdun_card_heartbeat_token");
        logd("停止脚本事件 退出心跳 卡密验证 退出码：" + status_code)
    }
    if (readConfigString("ssdun_empower_heartbeat_token")) {
        status_code = Ssdun.网络退出心跳验证(readConfigString("ssdun_empower_heartbeat_token"))
        deleteConfig("ssdun_empower_heartbeat_token");
        logd("停止脚本事件 退出心跳 网络验证 退出码：" + status_code)
    }
});
//脚本异常监听
setExceptionCallback(function (msg) {
    logd("脚本异常停止 错误信息:: " + msg)
    let status_code;
    if (readConfigString("ssdun_card_heartbeat_token")) {
        status_code = Ssdun.卡密退出心跳验证(readConfigString("ssdun_card_heartbeat_token"))
        deleteConfig("ssdun_card_heartbeat_token");
        logd("异常脚本事件 退出心跳 卡密验证 退出码：" + status_code)
    }
    if (readConfigString("ssdun_empower_heartbeat_token")) {
        status_code = Ssdun.网络退出心跳验证(readConfigString("ssdun_empower_heartbeat_token"))
        deleteConfig("ssdun_empower_heartbeat_token");
        logd("停止脚本事件 退出心跳 网络验证 退出码：" + status_code)
    }
});

function main() {


    Ssdun.设置卡密("ssdun_t7eF4aKPtm")
    Ssdun.卡密解绑("ssdun")//此处是因为 卡密绑定不同机器需要解绑 自己调用的时候需要删除这代码
    Ssdun.一键运行卡密验证(true, 3);//配置完一般调用这个就可以
    let data = Ssdun.获取卡密信息();
    logd("卡密激活时间：", data.start_time);
    logd("卡密到期时间", data.end_time);
    logd("卡密剩余时间", data.remaining_days);

    for (let i = 0; i < 10; i++) {
        sleep(1000)
        logd("脚本流程")
    }

}


function 一件调用例子() {
    Ssdun.一键运行网络验证(true, 3);
    Ssdun.设置卡密("内置卡密")//ui或者其他方式
    Ssdun.一键运行卡密验证(true, 3);//配置完一般调用这个就可以
    Ssdun.一键运行试用验证(true, 3);
}

function 网络验证单独调用例子() {
    Ssdun.debug = false;//否则会输出两次
    let token = Ssdun.网络验证();
    let data = Ssdun.获取验证信息();
    logd("软件状态码：" + data['status_code']);
    logd("程序标题：" + data['name']);
    logd("程序版本：" + data['version']);
    logd("程序状态：" + data['status']);
    logd("更新地址：" + data['updateurl']);
    logd("绑定模式：" + data['binding']);
    logd("心跳Token：" + data['token']);
    switch (data['binding']) {
        case "0":
            logd("绑定模式：永久模式");
            break;
        case "1":
            logd("绑定模式：到期模式");
            logd("是否到期：" + data['is_end']);
            logd("到期时间：" + data['end_time']);
            break;
        case "2":
            logd("绑定模式：卡密模式");
            break;
        case "3":
            logd("绑定模式：到期+卡密模式");
            logd("是否到期：" + data['is_end']);
            logd("到期时间：" + data['end_time']);
            break;

    }
    logd("网络心跳验证", Ssdun.网络心跳验证(token))
    logd("退出网络心跳验证", Ssdun.网络退出心跳验证(token))
}

function 卡密验证单独调用例子() {
    Ssdun.debug = false;//否则会输出两次
    Ssdun.设置卡密("ssdun_t7eF4aKPtm")
    let token = Ssdun.卡密验证();
    let data = Ssdun.获取卡密信息();
    logd("卡密激活时间：", data.start_time);
    logd("卡密到期时间", data.end_time);
    logd("卡密剩余时间", data.remaining_days);
    logd("心跳token", token)
    logd("卡密跳验证", Ssdun.卡密心跳验证(token))
    logd("退出卡密心跳验证", Ssdun.卡密退出心跳验证(token))

    let 解绑卡密 = Ssdun.卡密解绑();
    logd("解绑卡密结果", 解绑卡密)
    let 充值结果 = Ssdun.充值卡密("dailiceszwOjPSYNlk");
    logd("卡密充值结果", 充值结果)
}

function 试用验证单独调用例子() {
    Ssdun.debug = false;//否则会输出两次

    let token = Ssdun.试用验证()
    let data = Ssdun.获取试用信息();
    logd("试用状态码：" + data['status_code']);
    logd("试用时间：" + data['experienceTime'] + "(分钟)");
    logd("试用到期时间：" + data['end_time']);
    Ssdun.试用心跳验证(token)
    logd("试用心跳结果：", Ssdun.试用心跳验证(token))
}

function 远程变量调用例子() {
    let 创建的appSecret = Ssdun.创建远程变量("测试", "撒大苏打\"")
    logd("创建结果", 创建的appSecret)
    logd("读取变量结果", Ssdun.获取远程变量(创建的appSecret))
    logd("设置变量结果", Ssdun.设置远程变量(创建的appSecret, time()))
    logd("读取变量结果", Ssdun.获取远程变量(创建的appSecret))
    logd("删除变量结果", Ssdun.删除远程变量(创建的appSecret))

}

function 远程函数() {
    let ss = [50, 60]
    logd("运行js函数结果", Ssdun.运行远程函数(3, "a", JSON.stringify(ss)))
}



main();